/* ========================================
 *  TapeDust - TapeDust.h
 *  Created 8/12/11 by SPIAdmin 
 *  Copyright (c) 2011 __MyCompanyName__, Airwindows uses the MIT license
 * ======================================== */

#ifndef __TapeDust_TapeDust_H
#define __TapeDust_TapeDust_H

#include "../../../configuration.h"
#ifdef SHR3D_SFX_CORE_AIRWINDOWS

#include "../common/airwin_consolidated_base.h"


namespace airwinconsolidated::TapeDust {
enum {
	kParamA = 0,
	kParamB = 1,
  kNumParameters = 2
}; //


class TapeDust final : public SfxCoreExtensionV1
{
public:
    TapeDust();
    ~TapeDust();
    void processBlock(float** inputs, float** outputs, int sampleFrames) override;
    int getParameterCount() const override;
    float getParameter(int index) override;
    void setParameter(int index, float value) override;
    void getParameterLabel(int index, char *text) override;
    void getParameterName(int index, char *text) override;
    void getParameterDisplay(int index, char *text) override;
private:
    
	uint32_t fpdL;
	uint32_t fpdR;
	bool fpFlip;
	//default stuff

	double bL[11];
	double fL[11];		
	double bR[11];
	double fR[11];		

    float A;
    float B;

};

} // end namespace

#endif // SHR3D_SFX_CORE_AIRWINDOWS

#endif
